Wymagania
Konfiguracja wykonawcza
Instalacja/Konfiguracja
PHP Manual

## Instalacja

--with-adabas[=DIR]

  PHP 3, PHP 4: Dołącz obsługę Adabas D. DIR jest katalogiem gdzie została zainstalowana baza Adabas, domyślnie /usr/local.

--with-sapdb[=DIR]

  Dołącz obsługę SAP DB. DIR jest katalogiem gdzie została zainstalowana baza, domyślnie /usr/local.

--with-solid[=DIR]

  PHP 3, PHP 4: Dołącz obsługę Solid. DIR to katalog instalacji Solid, domyślnie /usr/local/solid

--with-ibm-db2[=DIR]

  PHP 3, PHP 4: Dołącz obsługę IBM DB2. DIR to katalog instalcji DB2, domyślnie /home/db2inst1/sqllib.

--with-empress[=DIR]

  PHP 3, PHP 4: Dołącz obsługę Empress. DIR to katalog instalacji Empress, domyślnie $EMPRESSPATH. W PHP 4 i nowszych, ta opcja dotyczy tylko Empress w wersjach 8.60 i nowszych.

--with-empress-bcs[=DIR]

  Dołącz obsługę Empress Local Access. DIR to katalog instalacji Empress, domyślnie $EMPRESSPATH. W PHP 4 i nowszych, ta opcja dotyczy tylko Empress w wersjach 8.60 i nowszych.

--with-birdstep[=DIR]

  Dołącz obsługę Birdstep. DIR to katalog instalacji Birdstep, domyślnie /usr/local/birdstep.

--with-custom-odbc[=DIR]

  PHP 3, PHP 4: Dołącza obsługę niestandardowej biblioteki ODBC. Parametrem jest główny katalog biblioteki, domyślnie /usr/local.

  Te opcja jest używana tylko jeśli zdefiniowałeś CUSTOM_ODBC_LIBS przy uruchomieniu skryptu configure. Niezbędne jest także wstawienie prawidłowego pliku odbc.h na ścieżkę include. Jeśli nie posiadasz takiego pliku, stwórz go i dołącz stamtąd swój własny nagłówek. Twój nagłówek może także wymagać pewnych definicji, zwłaszcza jeśli jest to biblioteka wieloplatformowa. Zdefiniuj je w CFLAGS. Na przykład możesz używać Sybase SQL Anywhere na QNX w następujący sposób: CFLAGS=-DODBC_QNX LDFLAGS=-lunix CUSTOM_ODBC_LIBS="-ldblib -lodbc" ./configure --with-custom-odbc=/usr/lib/sqlany50
--with-iodbc[=DIR]

  PHP 3, PHP 4: Dołącz obsługę iODBC. DIR jest to katalog instalacji iODBC, domyślnie /usr/local.

  Ta opcja została rozwinięta dla iODBC Driver Manager, darmowo rozpowszechnianego menedżera sterowników ODBC który działa na różnych odmianach Uniksa.

--with-esoob[=DIR]

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę Easysoft OOB. DIR to katalog instalacji OOB, domyślnie /usr/local/easysoft/oob/client.

--with-unixODBC[=DIR]

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę unixODBC. DIR to katalog instalacji unixODBC, domyślnie /usr/local.

--with-openlink[=DIR]

  PHP 3, PHP 4: Dołącz obsługę OpenLink ODBC. DIR to katalog instalacji OpenLink, domyślnie /usr/local/openlink. Od wersji 4.0.6 PHP ta opcja konfiguracji nie jest ważna. Jeśli chcesz używać systemu ODBC firmy OpenLink Software, użyj opcji --with-iodbc.

--with-dbmaker[=DIR]

  PHP 3: Opcja niedostępna w PHP 3

  PHP 4: Dołącz obsługę DBMaker. DIR to katalog instalacji DBMakera domyślnie tam, gdzie została zainstalowana najnowsza wersja DBMakera (np /home/dbmaker/3.6).

PHP w wersji dla systemów Windows posiada wbudowaną obsługę dla tego rozszerzenia. Nie trzeba ładować żadnych dodatkowych rozszerzeń, aby używać tych funkcji.

Wymagania
Konfiguracja wykonawcza
Instalacja/Konfiguracja
PHP Manual